List Transactionsget https://api.global.sandbox.affirm.com/api/v1/transactionsReturns a list of charge or lease type transactions. Lists all transactions by default.Query Paramstransaction_typestringenumrequiredType of transaction to be listed, default lists all, otherwise list one of charge or lease.chargeleaseAllowed:chargeleaseallow_marqeta_viewbooleanIf we want to allow marqeta view, only relevant for charges.truefalsebeforestringOptional end ARI of query, used during pagination. Mutually exclusive with the 'after' query parameter - i.e. only one of 'after' or 'before' can be specified in one request.afterstringOptional start ARI of query, used during pagination. Mutually exclusive with the 'before' query parameter - i.e. only one of 'after' or 'before' can be specified in one request.limitstringMax number of transactions to list per page. Default is 20.before_datedateEnd date of query (MM-DD-YYYY).after_datedateStart date of query (MM-DD-YYYY).before_timestampstringUnix timestamp representing the end time of the query.after_timestampstringUnix timestamp representing the start time of the query.querystringString to filter results on. Filters include order ID, transaction ID, status, amount, customer email, name, and phone number (only for charges).merchant_idstringOptional ARI of merchant issuing the list request.expandstringA comma-separated set of related objects to expand in the response. Allowed value is 'checkout'.HeadersHas-Strict-ValidationbooleanOptional param to denote whether client-side strict validation is used. Defaults to True if no param provided.truefalsecountry-codestringrequiredRequired param to identify the country in which Affirm is used and uses an "alpha-3" three-letter country code. Supported countries are the United States (USA), Canada (CAN), and the United Kingdom (GBR).Responses 200HTTP 200 OK 400HTTP 400 Bad Request 401HTTP 401 Unauthorized 404HTTP 404 Not FoundUpdated 5 months ago